If you want to install Midrub on PHP 7.1+ you have to upgrade the CodeIgniter. How to upgrade the CodeIgniter? First, delete the directory system from the Midrub directory. Then, download Codeigniter 3.1.4 from here https://github.com/bcit-ci/CodeIgniter/archive/3.1.4.zip Extract only the directory system and copy in the directory Midrub. After that, Midrub will be compatible with PHP 7.1+.